• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!
  • Fill out your device list and let everyone know which phones you have!    Edit Your Device Inventory

cant downgrade back to firmware 2.0.71..please help!

Search This thread

MRCANNADY

Senior Member
Mar 13, 2009
793
218
Hello all, even though i am pleased with the archos updates, I have decided to revert back to firmware 2.0.71 as I had no issues with the firmware, no browser crashes etc. Can someone please explain to me how this is done? I hope I do not have to root the device in order to do this...I tried resetting and then reinstalling the old firmware, but i get the error code when doing this. I am only able to install the latest firmware ..whoever helps i will send them a beer :)
 

ExploreMN

Senior Member
Jun 23, 2007
1,574
463
You should just be able to copy the 2.0.71 firmware to the root of your device and as soon as you unplug the USB cable it should say "Do you want to update blah blah" and you click OK.

If it is throwing and error, then perhaps you need to step back from 2.1.8 to 2.1.4 or something first.

P.S. Send me a large bottle of Baltika 9. It costs like $4.00 but it will knock a brother on his ass.
 

MRCANNADY

Senior Member
Mar 13, 2009
793
218
@Explore, lol..thanx man but i tried the prior firmware n got the same error message about the firmware being too old for the device..the only time the update works is when i update with the same firmware that i already have on my device..which i find odd. Do i need to root my device to get this to work?
 

MRCANNADY

Senior Member
Mar 13, 2009
793
218
@Craig ive seen that link but doing this voids ur warranty. There seems to be plenty of members that have downgraded without rooting the device...if someone could tell me how they got around the 212 error message id appreciate it
 

fuzzer

Senior Member
Jul 28, 2006
177
17
I was able to go between 2.1.4 & 2.0.71 several times, with and without formatting....

Now that I've upgraded to 2.1.8, I can't downgrade.

I guess Archos "fixed" another non problem.....